libpam-runtime_1.1.8-3.2ubuntu2_all.deb


Advertisement

Description

libpam-runtime - Runtime support for the PAM library

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Main amd64
Package filename libpam-runtime_1.1.8-3.2ubuntu2_all.deb
Package name libpam-runtime
Package version 1.1.8
Package release 3.2ubuntu2
Package architecture all
Package type deb
Category admin
Homepage http://pam.sourceforge.net/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 36.88 KB
Installed size 300.00 KB
Contains configuration files and  directories required for
authentication  to work on Debian systems.  This package is required
on almost all installations.

Alternatives

Package Version Architecture Repository
libpam-runtime_1.1.8-3.2ubuntu2.2_all.deb 1.1.8 all Ubuntu Proposed Main
libpam-runtime_1.1.8-3.2ubuntu2.2_all.deb 1.1.8 all Ubuntu Proposed Main
libpam-runtime_1.1.8-3.2ubuntu2.1_all.deb 1.1.8 all Ubuntu Updates Main
libpam-runtime_1.1.8-3.2ubuntu2.1_all.deb 1.1.8 all Ubuntu Updates Main
libpam-runtime_1.1.8-3.2ubuntu2_all.deb 1.1.8 all Ubuntu Main
libpam-runtime - - -

Requires

Name Value
cdebconf -
debconf >= 1.5.19
debconf >= 0.5
debconf-2.0 -
libpam-modules >= 1.0.1-6

Conflicts

Name Value
libpam0g-util -

Replaces

Name Value
libpam0g-dev -
libpam0g-util -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libpam-runtime_1.1.8-3.2ubuntu2_all.deb
Source Package pam

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libpam-runtime deb package:
    # sudo apt-get install libpam-runtime

Files

Path
/etc/pam.conf
/etc/pam.d/other
/usr/sbin/pam-auth-update
/usr/sbin/pam_getenv
/usr/share/doc/libpam-runtime/NEWS.Debian.gz
/usr/share/doc/libpam-runtime/changelog.Debian.gz
/usr/share/doc/libpam-runtime/copyright
/usr/share/lintian/overrides/libpam-runtime
/usr/share/man/man5/pam.conf.5.gz
/usr/share/man/man5/pam.d.5.gz
/usr/share/man/man7/PAM.7.gz
/usr/share/man/man7/pam.7.gz
/usr/share/man/man8/pam-auth-update.8.gz
/usr/share/man/man8/pam_getenv.8.gz
/usr/share/pam/common-account
/usr/share/pam/common-account.md5sums
/usr/share/pam/common-auth
/usr/share/pam/common-auth.md5sums
/usr/share/pam/common-password
/usr/share/pam/common-password.md5sums
/usr/share/pam/common-session
/usr/share/pam/common-session-noninteractive
/usr/share/pam/common-session-noninteractive.md5sums
/usr/share/pam/common-session.md5sums
/usr/share/pam-configs/unix

Changelog

2016-03-16 - Marc Deslauriers <marc.deslauriers@ubuntu.com>
pam (1.1.8-3.2ubuntu2) xenial; urgency=medium
* debian/patches-applied/cve-2015-3238.patch: removed manpage changes
so they don't get regenerated during build and cause a multiarch
installation issue. (LP: #1558114)
2016-03-16 - Marc Deslauriers <marc.deslauriers@ubuntu.com>
pam (1.1.8-3.2ubuntu1) xenial; urgency=medium
* Merge from Debian unstable. Remaining changes:
- debian/libpam-modules.postinst: Add PATH to /etc/environment if it's
not present there or in /etc/security/pam_env.conf. (should send to
Debian).
- debian/libpam0g.postinst: only ask questions during update-manager when
there are non-default services running.
- debian/libpam0g.postinst: check if gdm is actually running before
trying to reload it.
- debian/libpam0g.postinst: the init script for 'samba' is now named
'smbd' in Ubuntu, so fix the restart handling.
- Change Vcs-Bzr to point at the Ubuntu branch.
- debian/patches-applied/series: Ubuntu patches are as below ...
- debian/patches-applied/ubuntu-rlimit_nice_correction: Explicitly
initialise RLIMIT_NICE rather than relying on the kernel limits.
- debian/patches-applied/pam_umask_usergroups_from_login.defs.patch:
Deprecate pam_unix's explicit "usergroups" option and instead read it
from /etc/login.def's "USERGROUP_ENAB" option if umask is only defined
there. This restores compatibility with the pre-PAM behaviour of login.
- debian/patches-applied/pam_motd-legal-notice: display the contents of
/etc/legal once, then set a flag in the user's homedir to prevent
showing it again.
- debian/update-motd.5, debian/libpam-modules.manpages: add a manpage
for update-motd, with some best practices and notes of explanation.
- debian/patches/update-motd-manpage-ref: add a reference in pam_motd(8)
to update-motd(5)
- debian/local/common-session{,-noninteractive}: Enable pam_umask by
default, now that the umask setting is gone from /etc/profile.
- debian/local/pam-auth-update: Add the new md5sums for pam_umask addition.
- Build-depend on libfl-dev in addition to flex, for cross-building
support.
- Add /usr/local/games to PATH.
- Adjust debian/patches-applied/update-motd to write to
/run/motd.dynamic, as sysvinit/ssh/login in Debian have been changed
to use this file and no longer links /etc/motd to /var/run/motd.
- debian/patches-applied/pam_umask_usergroups_from_login.defs.patch:
include patch to autogenerated manpage file
- debian/patches-applied/pam-loginuid-in-containers: pam_loginuid:
Update patch with follow-up changes to loginuid.c
- debian/patches-applied/extrausers.patch: Add a pam_extrausers module
that is basically just a copy of pam_unix but looks at
/var/lib/extrausers/{group,passwd,shadow} instead of /etc/
- debian/libpam-modules-bin.install: install the helper binaries for
pam_extrausers to /sbin
- debian/rules: Make pam_extrausers_chkpwd sguid shadow
- debian/patches-applied/extrausers.patch: Ship pre-generated man page
- debian/patches-applied/pam-limits-nofile-fd-setsize-cap: cap the default
soft nofile limit read from pid 1 to FD_SETSIZE.
- debian/control: have libpam-modules recommend update-motd package
2016-01-06 - Tianon Gravi <tianon@debian.org>
pam (1.1.8-3.2) unstable; urgency=medium
* Non-maintainer upload.
* Fix CVE-2015-3238: DoS/user enumeration due to blocking pipe in pam_unix
module (Closes: #789986)
2015-04-22 - Robie Basak <robie.basak@ubuntu.com>
pam (1.1.8-3.1ubuntu3) vivid; urgency=medium
* d/applied-patches/pam-limits-nofile-fd-setsize-cap: cap the default
soft nofile limit read from pid 1 to FD_SETSIZE.

See Also

Package Description
libpam-sss_1.13.4-1ubuntu1_amd64.deb Pam module for the System Security Services Daemon
libpam-systemd_229-4ubuntu4_amd64.deb system and service manager - PAM module
libpam0g-dev_1.1.8-3.2ubuntu2_amd64.deb Development files for PAM
libpam0g_1.1.8-3.2ubuntu2_amd64.deb Pluggable Authentication Modules library
libpango-1.0-0_1.38.1-1_amd64.deb Layout and rendering of internationalized text
libpango1.0-0_1.38.1-1_amd64.deb Layout and rendering of internationalized text (transitional package)
libpango1.0-dev_1.38.1-1_amd64.deb Development files for the Pango
libpango1.0-doc_1.38.1-1_all.deb Documentation files for the Pango
libpangocairo-1.0-0_1.38.1-1_amd64.deb Layout and rendering of internationalized text
libpangoft2-1.0-0_1.38.1-1_amd64.deb Layout and rendering of internationalized text
libpangomm-1.4-1v5_2.38.1-1_amd64.deb C++ Wrapper for pango (shared libraries)
libpangomm-1.4-dev_2.38.1-1_amd64.deb C++ Wrapper for pango (development files)
libpangomm-1.4-doc_2.38.1-1_all.deb C++ Wrapper for pango (documentation)
libpangox-1.0-0_0.0.2-5_amd64.deb pango library X backend
libpangox-1.0-dev_0.0.2-5_amd64.deb pango library X backend - development files
Advertisement
Advertisement